﻿@model App.Web.Models.OrdenPago

@{
    ViewData["Title"] = "Create";
}

<h2>Nueva</h2>

<h4>Orden pago</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
           
            <div class="form-group">
                <label asp-for="SucursalId" class="control-label"></label>
                <select asp-for="SucursalId" class="form-control" asp-items="@(new SelectList(@ViewBag.lstSucursal,"Value", "Text"))">
                    <option>[SELECCIONE]</option>
                </select>
                <input asp-for="SucursalId" type="hidden" class="form-control" />
                <span asp-validation-for="SucursalId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Monto" class="control-label"></label>
                <input asp-for="Monto" type="number" class="form-control" />
                <span asp-validation-for="Monto" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MonedaId" class="control-label"></label>
                <select asp-for="MonedaId" class="form-control">
                    <option>[SELECCIONE]</option>
                    <option value="1">SOLES</option>
                    <option value="2">DOLARES</option>
                </select>
                <input asp-for="MonedaId" type="hidden" class="form-control" />
                <span asp-validation-for="MonedaId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FechaPago" class="control-label"></label>
                <input asp-for="FechaPago" type="date" class="form-control" />
                <span asp-validation-for="FechaPago" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="EstadoOrdenPagoId" class="control-label"></label>
                <select asp-for="EstadoOrdenPagoId" class="form-control">
                    <option>[SELECCIONE]</option>
                    <option value="1">PAGADO</option>
                    <option value="2">DECLINADA</option>
                    <option value="3">FALLIDA</option>
                    <option value="4">ANULADO</option>
                </select>
                <input asp-for="EstadoOrdenPagoId" type="hidden" class="form-control" />
                <span asp-validation-for="EstadoOrdenPagoId" class="text-danger"></span>
            </div>
           
            <div class="form-group">
                <input type="submit" value="Grabar" class="btn btn-primary btn-sm" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Regresar</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
